summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Edward W. Koenig <kingbeowulf@gmail.com>2015-02-09 19:04:33 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-09 19:04:33 +0700
commita138e6c8966585f0c98b2c4d2ea79c3a4258c698 (patch)
treee5ddeb02db0d138312a97642454d622d2d09d382 /system
parent4c4f1d3b8fdbc457e87f163f247870234f792321 (diff)
downloadslackbuilds-a138e6c8966585f0c98b2c4d2ea79c3a4258c698.tar.gz
slackbuilds-a138e6c8966585f0c98b2c4d2ea79c3a4258c698.tar.xz
system/nvidia-legacy340-kernel: Added (Kernel Interface for nvidia).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/nvidia-legacy340-kernel/10-nvidia.conf6
-rw-r--r--system/nvidia-legacy340-kernel/README13
-rw-r--r--system/nvidia-legacy340-kernel/doinst.sh3
-rw-r--r--system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.SlackBuild105
-rw-r--r--system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.info10
-rw-r--r--system/nvidia-legacy340-kernel/slack-desc19
6 files changed, 156 insertions, 0 deletions
diff --git a/system/nvidia-legacy340-kernel/10-nvidia.conf b/system/nvidia-legacy340-kernel/10-nvidia.conf
new file mode 100644
index 0000000000..a8992c2a0d
--- /dev/null
+++ b/system/nvidia-legacy340-kernel/10-nvidia.conf
@@ -0,0 +1,6 @@
+Section "Device"
+ Identifier "Device0"
+ Driver "nvidia"
+ VendorName "Nvidia Corporation"
+ BoardName ""
+EndSection
diff --git a/system/nvidia-legacy340-kernel/README b/system/nvidia-legacy340-kernel/README
new file mode 100644
index 0000000000..f6af142abc
--- /dev/null
+++ b/system/nvidia-legacy340-kernel/README
@@ -0,0 +1,13 @@
+This is the kernel-module needed by the proprietary binary nvidia driver.
+You also need the nvidia-driver package from SlackBuilds.org.
+
+To build the package for a kernel different from the running one,
+start the script setting the KERNEL variable as in
+ KERNEL=3.2.34 ./nvidia-kernel.SlackBuild
+
+A default config file is placed at /usr/share/X11/xorg.conf.d/10-nvidia.conf
+to make sure that X loads the nvidia module. If you need to make changes,
+copy that file to /etc/X11/xorg.conf.d/ and edit the copy. You do not need
+this file at all if you have a proper and complete xorg.conf.
+
+The xf86-video-nouveau-blacklist package from /extra is required.
diff --git a/system/nvidia-legacy340-kernel/doinst.sh b/system/nvidia-legacy340-kernel/doinst.sh
new file mode 100644
index 0000000000..dcfb80855f
--- /dev/null
+++ b/system/nvidia-legacy340-kernel/doinst.sh
@@ -0,0 +1,3 @@
+
+chroot . /sbin/depmod -a @KERNEL@ 2>/dev/null
+
diff --git a/system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.SlackBuild b/system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.SlackBuild
new file mode 100644
index 0000000000..168377d0c7
--- /dev/null
+++ b/system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for nvidia-kernel
+
+# Copyright 2007-2011 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2011-2015 Edward W. Koenig, Vancouver, WA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Thanks to Robby Workman for suggestions to improve this script.
+
+# See changelog.txt
+
+PRGNAM=nvidia-legacy340-kernel
+VERSION=${VERSION:-340.76}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+KERNEL=${KERNEL:-$(uname -r)}
+KERNELPATH=${KERNELPATH:-/lib/modules/${KERNEL}/build}
+
+PKGVER=${VERSION}_$(echo $KERNEL | tr - _)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ TARGET="x86"
+ SRCSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ TARGET="x86"
+ SRCSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ TARGET="x86_64"
+fi
+
+unset ARCH
+
+SRCNAM=NVIDIA-Linux-$TARGET-${VERSION}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $SRCNAM
+sh $CWD/$SRCNAM.run --extract-only || exit 1
+cd $SRCNAM || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+(cd kernel || exit 1
+ make SYSSRC=$KERNELPATH module || exit 1
+ cd uvm
+ make SYSSRC=$KERNELPATH module || exit 1
+)
+
+mkdir -p $PKG/lib/modules/$KERNEL/kernel/drivers/video
+install -m 0664 kernel/nvidia.ko $PKG/lib/modules/$KERNEL/kernel/drivers/video/
+install -m 0664 kernel/uvm/nvidia-uvm.ko $PKG/lib/modules/$KERNEL/kernel/drivers/video/
+
+# Make sure the X is specified to automagically load the
+# correct driver, since I always forget. You can remove
+# this file if you have an equivilent entry in /etc/X11/xorg.d
+
+mkdir -p $PKG/usr/share/X11/xorg.conf.d/
+cat $CWD/10-nvidia.conf > $PKG/usr/share/X11/xorg.conf.d/10-nvidia.conf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$PKGVER
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKGVER/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+sed "s%@KERNEL@%$KERNEL%" $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$TARGET-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.info b/system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.info
new file mode 100644
index 0000000000..b675a37af4
--- /dev/null
+++ b/system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.info
@@ -0,0 +1,10 @@
+PRGNAM="nvidia-legacy340-kernel"
+VERSION="340.76"
+HOMEPAGE="http://www.nvidia.com"
+DOWNLOAD="ftp://download.nvidia.com/XFree86/Linux-x86/340.76/NVIDIA-Linux-x86-340.76.run"
+MD5SUM="8064c0a0998c3e7ee3c98ac1832b8194"
+DOWNLOAD_x86_64="ftp://download.nvidia.com/XFree86/Linux-x86_64/340.76/NVIDIA-Linux-x86_64-340.76.run"
+MD5SUM_x86_64="5ae351416e887037c752415d786c709d"
+REQUIRES=""
+MAINTAINER="Edward W. Koenig"
+EMAIL="kingbeowulf@gmail.com"
diff --git a/system/nvidia-legacy340-kernel/slack-desc b/system/nvidia-legacy340-kernel/slack-desc
new file mode 100644
index 0000000000..5b99199857
--- /dev/null
+++ b/system/nvidia-legacy340-kernel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nvidia-legacy340-kernel: nvidia-legacy340-kernel (Kernel Interface for the nvidia driver)
+nvidia-legacy340-kernel:
+nvidia-legacy340-kernel: This is the kernel module needed by the binary nvidia-driver.
+nvidia-legacy340-kernel:
+nvidia-legacy340-kernel:
+nvidia-legacy340-kernel:
+nvidia-legacy340-kernel:
+nvidia-legacy340-kernel:
+nvidia-legacy340-kernel:
+nvidia-legacy340-kernel:
+nvidia-legacy340-kernel: